#include "defines.h"
#include "oscrn.h"

int SCscrn(int x,int y,unchar *work,unsint *cc)
/* オフスクリーン：文字読みだし */
{
SC_BUFF *scwork;
int point;
	if (SCcheck(work)) return(SCERR1);
	scwork=(SC_BUFF *)work;
	work+=sizeof(SC_BUFF);
	if (x<0||x>=scwork->wx||y<0||y>=scwork->wy) return(SCERR2);
	point=(scwork->wx*y+x)*2;
	*cc=work[point];
	if (work[point+1]&BIT7) { /* 漢字 */
		*cc=((*cc)<<8)|work[point+2];
	}
	if (work[point+1]&BIT6) { /* 漢字２バイト目の位置を読んでしまった */
		*cc|=(work[point-2]<<8);
	}
	return(SCOK);
}
